diff --git a/src/libopensc/card-iasecc.c b/src/libopensc/card-iasecc.c
index f6fdce942e..79a9ba4f48 100644
--- a/src/libopensc/card-iasecc.c
+++ b/src/libopensc/card-iasecc.c
@@ -916,8 +916,12 @@ iasecc_select_file(struct sc_card *card, const struct sc_path *path,
 		rv = iasecc_select_mf(card, file_out);
 		LOG_TEST_RET(ctx, rv, "MF selection error");
 
-		memmove(&lpath.value[0], &lpath.value[2], lpath.len - 2);
-		lpath.len -=  2;
+		if ((card->type != SC_CARD_TYPE_IASECC_CPX) &&
+		    (card->type != SC_CARD_TYPE_IASECC_CPXCL)) {
+			sc_log(ctx, "iasecc_select_mf done, remove 3f00 from the path");
+			memmove(&lpath.value[0], &lpath.value[2], lpath.len - 2);
+			lpath.len -=  2;
+		}
 	}
 
 	if (lpath.aid.len)	{
